Get bank account details
curl --request GET \
--url https://api.wallbit.io/api/public/v1/account-details \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.wallbit.io/api/public/v1/account-details"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.wallbit.io/api/public/v1/account-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wallbit.io/api/public/v1/account-details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.wallbit.io/api/public/v1/account-details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.wallbit.io/api/public/v1/account-details")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wallbit.io/api/public/v1/account-details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"bank_name": "Community Federal Savings Bank",
"currency": "USD",
"account_type": "CHECKING",
"account_number": "9876543210",
"routing_number": "026073150",
"swift_code": "CTFNUS33",
"holder_name": "John Doe",
"address": {
"street_line_1": "123 Main St",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country": "US"
}
}
}Account Details
Get Account Details
Returns the user’s bank account details according to the specified country and currency. The details vary depending on the country and may include ACH account information (US), SEPA (EU), or local bank accounts. Currently only US and EU are supported in the public API.
GET
/
api
/
public
/
v1
/
account-details
Get bank account details
curl --request GET \
--url https://api.wallbit.io/api/public/v1/account-details \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.wallbit.io/api/public/v1/account-details"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.wallbit.io/api/public/v1/account-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wallbit.io/api/public/v1/account-details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.wallbit.io/api/public/v1/account-details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.wallbit.io/api/public/v1/account-details")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wallbit.io/api/public/v1/account-details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"bank_name": "Community Federal Savings Bank",
"currency": "USD",
"account_type": "CHECKING",
"account_number": "9876543210",
"routing_number": "026073150",
"swift_code": "CTFNUS33",
"holder_name": "John Doe",
"address": {
"street_line_1": "123 Main St",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country": "US"
}
}
}Authorizations
API Key authentication. Obtain your API key from the Wallbit dashboard under Settings → API Keys.
Query Parameters
Account country (US, EU)
Available options:
US, EU Example:
"US"
Account currency (USD, EUR)
Available options:
USD, EUR Example:
"USD"
Response
Account details retrieved successfully
Show child attributes
Show child attributes

